Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy
Class ClassProxyTemplate

    java.lang.Object
      org.jboss.aop.proxy.ClassProxyTemplate

All Implemented Interfaces:
  ClassProxy, Externalizable, InstanceAdvised, Serializable

public class ClassProxyTemplate
extends Object
implements ClassProxy, Externalizable

Version:
  $Revision: 1.19 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`InstanceAdvisor` | `instanceAdvisor`
`ProxyMixin[]` | `mixins`

Constructor Summary
`ClassProxyTemplate()`

Method Summary
`InvocationResponse` | `_dynamicInvoke(Invocation invocation)`
`InstanceAdvisor` | `_getInstanceAdvisor()`
`void` | `_setInstanceAdvisor(InstanceAdvisor newAdvisor)`
`void` | `readExternal(ObjectInput in)`
`void` | `setMixins(ProxyMixin[] mixins)`
`void` | `writeExternal(ObjectOutput out)`
`Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceAdvisor

    public InstanceAdvisor instanceAdvisor

### mixins

    public ProxyMixin[] mixins

Constructor Detail

### ClassProxyTemplate

    public ClassProxyTemplate()

Method Detail

### _getInstanceAdvisor

    public InstanceAdvisor _getInstanceAdvisor()

  Specified by:
    `_getInstanceAdvisor` in interface `InstanceAdvised`

### _setInstanceAdvisor

    public void _setInstanceAdvisor(InstanceAdvisor newAdvisor)

  Specified by:
    `_setInstanceAdvisor` in interface `InstanceAdvised`

### _dynamicInvoke

    public InvocationResponse _dynamicInvoke(Invocation invocation)
                                      throws Throwable

  Specified by:
    `_dynamicInvoke` in interface `ClassProxy`
  Throws:
    `Throwable`

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Throws:
    `ObjectStreamException`

### setMixins

    public void setMixins(ProxyMixin[] mixins)

  Specified by:
    `setMixins` in interface `ClassProxy`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.